Retrieve

The retrieve route is responsible for fetching all available operational products.

🚧

Attention point:

Below is an explanation of the fields related to credit policy:

Credit Policy

ParameterDescription
nameProduct name
modelCalculation model, 1- Rate, 3- Advance, 4- FGTS
guarantorNeed for a guarantor when signing the contract
disbursement_third_partiesPossibility to pay the credit to a third party account
disbursement_multiple_accountsPossibility to pay credit on multiple accounts
negative_customerAccepts negative customers
percentage_customer_incomePercentage of the customer's income in relation to the installment
minimum_installments_amountMinimum installment amount
maximum_installments_amountMaximum installment amount
minimum_operation_amountMinimum operation amount
maximum_operating_amountMaximum operation amount
time_admission_companyCustomer admission time, when necessary
periodicityCredit installment term
ratecredit rate

Response

Http CodeReturn CodeMessage
200200-01Success.
400400-01Something unexpected happened.
400400-09There are no results for the query.
401401-05Unauthorized or token invalid.
429429-01Too many requests

Response Parameters

ParameterFormatDescription
request_codestringCode of the request made
returnbooleanIndicates if the request was successful
return_codestringReturn code of the request
messagestringMessage indicating the reason for the response
dataarrayArray containing information about the products
data[].codestringCode associated with the product
data[].namestringName of the product
data[].modelstringModel of the operational product (e.g., "1" for model 1)
data[].guarantorstringIndicates if the operational product requires a guarantor (Y/N)
data[].disbursement_third_partiesstringIndicates if the operational product allows disbursement to third parties (Y/N)
data[].disbursement_multiple_accountsstringIndicates if the operational product allows disbursement to multiple accounts (Y/N)
data[].negative_customerstringIndicates if the operational product allows negative customers (Y/N)
data[].percentage_customer_incomestringPercentage of customer income required for the operational product
data[].minimum_installments_amountstringMinimum amount allowed for installments
data[].maximum_installments_amountstringMaximum amount allowed for installments
data[].minimum_operation_amountstringMinimum amount allowed for operations
data[].maximum_operating_amountstringMaximum amount allowed for operations
data[].time_admission_companystringTime of admission to the company required for the operational product
data[].periodicityobjectObject containing information about the periodicity of the product
data[].periodicity.codenumberCode associated with the periodicity (e.g., 1 for fixed)
data[].periodicity.modelstringModel of the periodicity (e.g., "range" or "fixed")
data[].periodicity.minimumstringMinimum value for the periodicity
data[].periodicity.maximumstringMaximum value for the periodicity

Request Parameters

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!